Bug 36462 - Home button breadcrumb appears twice when viewing/editing the authority MARC subfield structure
Summary: Home button breadcrumb appears twice when viewing/editing the authority MARC ...
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: Main
Hardware: All All
: P5 - low trivial (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL: admin/auth_subfields_structure.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2024-03-29 06:46 UTC by Andreas Roussos
Modified: 2024-04-05 09:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Screenshot of Home breadcrumb button appearing twice (10.32 KB, image/png)
2024-03-29 06:46 UTC, Andreas Roussos
Details
Bug 36462: remove extra Home breadcrumb item (1.47 KB, patch)
2024-03-29 07:05 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 36462: remove extra Home breadcrumb item (1.52 KB, patch)
2024-03-29 18:11 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 36462: remove extra Home breadcrumb item (1.58 KB, patch)
2024-04-01 10:42 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2024-03-29 06:46:22 UTC
Created attachment 164100 [details]
Screenshot of Home breadcrumb button appearing twice

In the Staff interface, when viewing (or editing) the authority MARC
subfield structure for a particular field, the Home button breadcrumb
on the top left of the screen appears twice.
Comment 1 Andreas Roussos 2024-03-29 06:58:53 UTC
The 'breadcrumbs' TT BLOCK includes the Home link every time, but in
koha-tmpl/intranet-tmpl/prog/en/modules/admin/auth_subfields_structure.tt
an extra 'Home' breadcrumb_item is added too, thus causing the double
Home button.
Comment 2 Andreas Roussos 2024-03-29 07:05:52 UTC
Created attachment 164101 [details] [review]
Bug 36462: remove extra Home breadcrumb item

In the Staff interface, when viewing (or editing) the authority MARC
subfield structure for a particular field, the Home button breadcrumb
on the top left of the screen appears twice.

This patch fixes that.

Test plan:
1) Try to view (or edit) the authority MARC subfield structure for
   a particular field. Notice the 'Home' breadcrumb button/icon is
   appearing twice.
2) Apply this patch.
3) Refresh the page, the 'Home' breadcrumb icon should now appear
   only once.
Comment 3 ByWater Sandboxes 2024-03-29 18:11:15 UTC
Created attachment 164144 [details] [review]
Bug 36462: remove extra Home breadcrumb item

In the Staff interface, when viewing (or editing) the authority MARC
subfield structure for a particular field, the Home button breadcrumb
on the top left of the screen appears twice.

This patch fixes that.

Test plan:
1) Try to view (or edit) the authority MARC subfield structure for
   a particular field. Notice the 'Home' breadcrumb button/icon is
   appearing twice.
2) Apply this patch.
3) Refresh the page, the 'Home' breadcrumb icon should now appear
   only once.

Signed-off-by: Esther <esther@bywatersolutions.com>
Comment 4 Nick Clemens 2024-04-01 10:42:42 UTC
Created attachment 164175 [details] [review]
Bug 36462: remove extra Home breadcrumb item

In the Staff interface, when viewing (or editing) the authority MARC
subfield structure for a particular field, the Home button breadcrumb
on the top left of the screen appears twice.

This patch fixes that.

Test plan:
1) Try to view (or edit) the authority MARC subfield structure for
   a particular field. Notice the 'Home' breadcrumb button/icon is
   appearing twice.
2) Apply this patch.
3) Refresh the page, the 'Home' breadcrumb icon should now appear
   only once.

Signed-off-by: Esther <esther@bywatersolutions.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Katrin Fischer 2024-04-05 09:53:16 UTC
Pushed for 24.05!

Well done everyone, thank you!